Loading...
Searching...
No Matches
Dune::CommPolicy< V >::CommPolicy< VariableBlockVector< FieldVector< K, n >, A > > Struct Template Reference

`#include <dune/common/parallel/communicator.hh>`

## Public Types

typedef VariableBlockVector< FieldVector< K, n >, A > | Type
typedef Type::B | IndexedType
typedef VariableSize | IndexedTypeFlag

## Static Public Member Functions

static const void * | getAddress (const Type &v, int i)
static int | getSize (const Type &v, int i)

## Member Typedef Documentation

## IndexedType

template<class V>
template<class K, class A, int n>

typedef Type::B Dune::CommPolicy< V >::CommPolicy< VariableBlockVector< FieldVector< K, n >, A > >::IndexedType

## IndexedTypeFlag

template<class V>
template<class K, class A, int n>

typedef VariableSize Dune::CommPolicy< V >::CommPolicy< VariableBlockVector< FieldVector< K, n >, A > >::IndexedTypeFlag

## Type

template<class V>
template<class K, class A, int n>

typedef VariableBlockVector<FieldVector<K, n>, A> Dune::CommPolicy< V >::CommPolicy< VariableBlockVector< FieldVector< K, n >, A > >::Type

## Member Function Documentation

## getAddress()

template<class V>
template<class K, class A, int n>

const void * Dune::CommPolicy< V >::CommPolicy< VariableBlockVector< FieldVector< K, n >, A > >::getAddress | ( | const Type & | v,
|  | int | i )

static

## getSize()

template<class V>
template<class K, class A, int n>

int Dune::CommPolicy< V >::CommPolicy< VariableBlockVector< FieldVector< K, n >, A > >::getSize | ( | const Type & | v,
|  | int | i )

static

The documentation for this struct was generated from the following file:

- communicator.hh